TransactionDataNotColocatedException (Apache Geode 1.5.0)
Date: 2018-03-30

org.apache.geode.cache

## Class TransactionDataNotColocatedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.CacheException
          - - org.apache.geode.cache.TransactionException
            - - org.apache.geode.cache.TransactionDataNotColocatedException

- All Implemented Interfaces:
    java.io.Serializable

      public class TransactionDataNotColocatedException
      extends TransactionException

  Indicates that an attempt was made to transactionally modify multiple keys that are not colocated on the same data host. This can be thrown while doing transactional operations or during commit.

  This exception only occurs when a transaction is hosted on a member that is not the initiator of the transaction.

  Note: a rebalance can cause this exception to be thrown for data that is usually colocated. This is because data can be moved from one node to another during the time between the original transactional operations and the commit.

  Since:
    GemFire 6.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionDataNotColocatedException(java.lang.String s)`
    `TransactionDataNotColocatedException(java.lang.String msg, java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.cache.CacheException

      `toString`

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionDataNotColocatedException

          public TransactionDataNotColocatedException(java.lang.String s)

    - #### TransactionDataNotColocatedException

          public TransactionDataNotColocatedException(java.lang.String msg,
                                                      java.lang.Throwable cause)